Register a new user identifier.
POST
/api/v1/user/register-identifier
This endpoint registers a user identifier and returns a URL to register an account which will be linked to the registered identifier.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
identifier
required
The user identifier you want to register.
string
Example
c6fefe8d7ac0f4113876d634e8d15f65947f1b62d4859fffcd2464d2be58b2d8 returnUrl
required
The URL which will be used to return to your client.
string
Example
https://example.com?action=buyResponses
Section titled “ Responses ”User identifier registered successfully.
object
redirectUrl
The redirect URL per locale.
string
Example
{ "en-gb": "https://my.btcdirect.eu/en-gb/user/settings", "fr-fr": "https://my.btcdirect.eu/fr-fr/user/settings", "nl-nl": "https://my.btcdirect.eu/nl-nl/user/settings"}A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER053": { "code": "ER053", "message": "Missing identifier.", "solution": "Provide a valid identifier." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}